Tickets

The Ticket object represents an attendee for an event. Each Ticket has a Barcode for identification. Tickets are usually created when Transactions transition to completed.

The Ticket object

The associated ticket which has been updated

Required attributes

  • Name
    _id
    Type
    string
    Description
  • Name
    sellerId
    Type
    string
    Description

    The ID of the seller that ticket belongs to.

  • Name
    eventId
    Type
    string
    Description

    The ID of the event the ticket belongs to

  • Name
    ticketTypeId
    Type
    string
    Description

    The ID of the ticket type this ticket inherits from

  • Name
    ticketName
    Type
    string
    Description

    The name of the ticket type this ticket inherits from

  • Name
    createdAt
    Type
    string date-time
    Description

    An ISO Timestamp indicating when the ticket was created.

  • Name
    updatedAt
    Type
    string date-time
    Description

    An ISO Timestamp indicating when the ticket was updated.

  • Name
    status
    Type
    enum(VALID, INVALID, RESERVED, DETAILSREQUIRED, BLANK)
    Description

    The status of the ticket

  • Name
    secret
    Type
    string
    Description

    The secret token of the ticket

  • Name
    barcode
    Type
    string
    Description

    The barcode of the ticket

Optional attributes

  • Name
    company
    Type
    string
    Description
  • Name
    email
    Type
    string
    Description
  • Name
    name
    Type
    string
    Description

    The name of the ticket owner

  • Name
    firstname
    Type
    string
    Description

    The first name of the ticket owner

  • Name
    lastname
    Type
    string
    Description

    The last name of the ticket owner

  • Name
    street
    Type
    string
    Description
  • Name
    line2
    Type
    string
    Description

    The additional address field of the user of the ticket

  • Name
    city
    Type
    string
    Description
  • Name
    postal
    Type
    string
    Description
  • Name
    state
    Type
    string
    Description

    The state of the user of the ticket

  • Name
    country
    Type
    string
    Description

    The country of the user of the ticket

  • Name
    rootEventId
    Type
    string
    Description

    The ID of the root event, if exists

  • Name
    transactionId
    Type
    string
    Description

    The transaction the ticket originated from

  • Name
    posId
    Type
    string
    Description

    The point of sale the ticket was created on

  • Name
    underShopId
    Type
    string
    Description

    The ID of an undershop the ticket was purchased through

  • Name
    categoryRef
    Type
    string
    Description

    A UUID of the category the ticket belongs to.

  • Name
    categoryName
    Type
    string
    Description

    The name of the category the ticket belongs to.

  • Name
    slotId
    Type
    string
    Description

    The ID of the time slot this ticket belongs to, if exists

  • Name
    slotStartTime
    Type
    string
    Description

    The start time of the time slot this ticket belongs to, if exists.

  • Name
    cartItemId
    Type
    string
    Description

    The ID of the cart item to which the ticket belongs

  • Name
    triggeredBy
    Type
    array<string>
    Description

    An array of IDs of cart items which triggered the buy action of the ticket

  • Name
    currency
    Type
    enum(EUR, USD, GBP, AUD, CHF, THB, ILS, COP, MXN, DKK, NOK, SEK, QAR, CAD, ISK, GTQ, INR, DOP, SGD, PLN, SAR, TTD, ZAR, KYD, HKD, CZK, KRW, JPY, NZD, AED, MAD, TWD, BRL, BWP, NAD, KES, SCR, TRY, SZL, LSL, TZS, UGX, ZMW, ZWG, GHS, NGN, SLE, LRD, XOF, XAF, GEL, IDR, ARS, CRC, HUF, EGP, MYR, VND, PHP, MWK)
    Description

    An ISO 4217 3-character code of the currency

  • Name
    regularPrice
    Type
    number float
    Description

    The original non discounted price for the ticket

  • Name
    realPrice
    Type
    number float
    Description

    The real price for the ticket

  • Name
    completed
    Type
    boolean
    Description

    Whether all steps for validating the ticket has been made

  • Name
    expiresAt
    Type
    string date-time
    Description

    An ISO Timestamp indicating when the ticket will be expired.

  • Name
    seat
    Type
    string
    Description
  • Name
    seatingInfo
    Type
    object
    Description

    The associated seating object.

    Required nested attributes (2)
    • Name
      _type
      Type
      enum(6, 7) float
      Description

      Indicates the type of seating object. Seat = 6, General Admission = 7.

    • Name
      statusId
      Type
      string
      Description

      The ID of a container holding information about the seating status of the seating object.

    Optional nested attributes (9)
    • Name
      _id
      Type
      string
      Description

      The ID of the seating object.

    • Name
      categoryId
      Type
      string
      Description

      The ID of the category containing the seating object.

    • Name
      name
      Type
      string
      Description

      If _type == 7. The name of the general admission.

    • Name
      seatType
      Type
      enum(handicapped, limitedView, foldable)
      Description

      If _type == 6. The type of the seat. null = normal.

    • Name
      sectionName
      Type
      string
      Description

      If _type == 6. The name of the section where the seat is located.

    • Name
      groupName
      Type
      string
      Description

      If _type == 6. The name of the row group where the seat is located.

    • Name
      rowName
      Type
      string
      Description

      If _type == 6. The name of the row where the seat is located.

    • Name
      seatName
      Type
      string
      Description

      If _type == 6. The seat name.

    • Name
      gate
      Type
      string
      Description

      The entry gate associated with the seating object.

  • Name
    type
    Type
    enum(SINGLE, MULTI)
    Description

    The type of the ticket

  • Name
    origin
    Type
    enum(yourticket, pos, rebooking, upgrade, subscription, transfer)
    Description
  • Name
    extraFields
    Type
    object
    Description

    A hashmap of extra fields for the ticket

  • Name
    batch
    Type
    string
    Description

    A UUId indicating in which batch the tickets were created

  • Name
    batchCounter
    Type
    number float
    Description

    A counter indicating the order of the ticket in the batch

  • Name
    deliveryType
    Type
    enum(HARD, VIRTUAL)
    Description

    The delivery type of the ticket

  • Name
    readyForDelivery
    Type
    boolean
    Description

    Whether the ticket is ready for delivery

  • Name
    customMessage
    Type
    string
    Description
  • Name
    priceCategoryId
    Type
    string
    Description
  • Name
    entryPermissions
    Type
    array<array | boolean | number | object | string>
    Description
  • Name
    customerId
    Type
    string
    Description
  • Name
    history
    Type
    array<array | boolean | number | object | string>
    Description
  • Name
    personalized
    Type
    boolean
    Description
  • Name
    excludedEventIds
    Type
    array<string>
    Description

    An array of IDs of events for which the ticket has been blocked

  • Name
    originTicketId
    Type
    string
    Description

    The ID of the origin ticket from which the ticket created

  • Name
    fulfillmentTypeId
    Type
    string
    Description

    The ID of the fulfillment type used to deliver the ticket

  • Name
    packageInfo
    Type
    object
    Description

    The package information of the ticket

    Required nested attributes (3)
    • Name
      packageId
      Type
      string
      Description

      The ID of the package

    • Name
      packageConfigId
      Type
      string
      Description

      The ID of the package configuration

    • Name
      name
      Type
      string
      Description

      The name of the package

  • Name
    __v
    Type
    integer
    Description
  • Name
    _locks
    Type
    array<object>
    Description

    List of locks on this ticket

    Required nested attributes (2)
    • Name
      by
      Type
      string
      Description
    • Name
      at
      Type
      string date-time
      Description
    Optional nested attributes (2)
    • Name
      eventId
      Type
      string
      Description
    • Name
      type
      Type
      enum(resell)
      Description
  • Name
    addOns
    Type
    array<object>
    Description

    A list of Add-Ons of the ticket.

    Required nested attributes (3)
    • Name
      productId
      Type
      string
      Description
    • Name
      productVariantId
      Type
      string
      Description
    • Name
      name
      Type
      string
      Description
  • Name
    capabilities
    Type
    array<oneOf>
    Description

    The capabilities of the ticket.

    One of — Only one of the following types

    Required attributes

    • Name
      type
      Type
      enum(self_service_return)
      Description
    • Name
      settings
      Type
      object
      Description
      Required nested attributes (1)
      • Name
        phases
        Type
        array<object>
        Description
        Required nested attributes (2)
        • Name
          condition
          Type
          object
          Description
          Required nested attributes (2)
          • Name
            unit
            Type
            enum(hours, days, weeks, months, years)
            Description

            The unit in which the offset is specified

          • Name
            offset
            Type
            integer
            Description

            The offset to the date

          Optional nested attributes (1)
          • Name
            target
            Type
            string
            Description

            The target of the relative date

        • Name
          refundPercentage
          Type
          number float
          Description
      Optional nested attributes (1)
      • Name
        returnRelatedItems
        Type
        boolean
        Description
  • Name
    personalizations
    Type
    array<array | boolean | number | object | string>
    Description

    A list of personalizations of the ticket.

Example

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/free

Create free Tickets

Create free Tickets

Payload

One of — Only one of the following types

Required attributes

  • Name
    eventId
    Type
    string
    Description

    The ID of the event containing the ticket cart items.

  • Name
    items
    Type
    array<object>
    Description

    An array containing all ticket cart items.

    Required nested attributes (2)
    • Name
      amount
      Type
      integer
      Description

      The amount of the cart item.

    • Name
      ticketTypeId
      Type
      string
      Description

      The ID of the ticket type of the cart item.

    Optional nested attributes (7)
    • Name
      _id
      Type
      string
      Description

      Unique identifier for the cart item. If omitted, the system will automatically generate one.

    • Name
      type
      Type
      enum(ticket)
      Description

      The type of the cart item.

    • Name
      seatingInfo
      Type
      object
      Description

      The associated seating object.

      Required nested attributes (2)
      • Name
        _type
        Type
        enum(6, 7) float
        Description

        Indicates the type of seating object. Seat = 6, General Admission = 7.

      • Name
        statusId
        Type
        string
        Description

        The ID of a container holding information about the seating status of the seating object.

      Optional nested attributes (9)
      • Name
        _id
        Type
        string
        Description

        The ID of the seating object.

      • Name
        categoryId
        Type
        string
        Description

        The ID of the category containing the seating object.

      • Name
        name
        Type
        string
        Description

        If _type == 7. The name of the general admission.

      • Name
        seatType
        Type
        enum(handicapped, limitedView, foldable)
        Description

        If _type == 6. The type of the seat. null = normal.

      • Name
        sectionName
        Type
        string
        Description

        If _type == 6. The name of the section where the seat is located.

      • Name
        groupName
        Type
        string
        Description

        If _type == 6. The name of the row group where the seat is located.

      • Name
        rowName
        Type
        string
        Description

        If _type == 6. The name of the row where the seat is located.

      • Name
        seatName
        Type
        string
        Description

        If _type == 6. The seat name.

      • Name
        gate
        Type
        string
        Description

        The entry gate associated with the seating object.

    • Name
      asHardTicket
      Type
      boolean
      Description

      Whether this ticket is a hard ticket.

    • Name
      triggeredBy
      Type
      oneOf
      Description

      An ID or an array of IDs of other cart items which triggered the buy action of the cart item.

      One of — Only one of the following types

      An ID of another cart item which triggered the buy action of the cart item.

    • Name
      triggeredAutomations
      Type
      boolean
      Description

      Whether the cart item triggered automations.

    • Name
      id
      Type
      string
      Status
      deprecated
      Description

      The ID of the ticket type of the cart item.

  • Name
    customerId
    Type
    string
    Description

    The ID of the existing customer.

Optional attributes

  • Name
    underShopId
    Type
    string
    Description
  • Name
    sendMail
    Type
    boolean
    Description
  • Name
    customMessage
    Type
    string
    Description
  • Name
    requiresPersonalization
    Type
    boolean
    Description
  • Name
    seatingReservationToken
    Type
    string
    Description
  • Name
    batchId
    Type
    string
    Description
  • Name
    salesChannelId
    Type
    string
    Description

Request

POST
/api/tickets/free
const response = await fetch('https://vivenu.com/api/tickets/free', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "eventId": "507f191e810c19729de860ea",
    "items": [
      {
        "amount": 1,
        "ticketTypeId": "507f191e810c19729de860ea",
        "_id": "507f191e810c19729de860ea",
        "type": "ticket",
        "seatingInfo": {
          "_type": 6,
          "statusId": "507f191e810c19729de860ea",
          "_id": "507f191e810c19729de860ea",
          "categoryId": "507f191e810c19729de860ea",
          "name": "Some fancy Name",
          "seatType": "handicapped",
          "sectionName": "string",
          "groupName": "string",
          "rowName": "string",
          "seatName": "string",
          "gate": "string"
        },
        "asHardTicket": true,
        "triggeredBy": "string",
        "triggeredAutomations": true,
        "id": "507f191e810c19729de860ea"
      }
    ],
    "customerId": "507f191e810c19729de860ea",
    "underShopId": "507f191e810c19729de860ea",
    "sendMail": true,
    "customMessage": "string",
    "requiresPersonalization": true,
    "seatingReservationToken": "string",
    "batchId": "4b5fb736-45fd-4895-b497-124a2360c7e6",
    "salesChannelId": "507f191e810c19729de860ea"
  }),
})

const data = await response.json()

Response (201)

[
  {
    "_id": "507f191e810c19729de860ea",
    "sellerId": "507f191e810c19729de860ea",
    "eventId": "507f191e810c19729de860ea",
    "ticketTypeId": "507f191e810c19729de860ea",
    "ticketName": "string",
    "createdAt": "2030-01-23T23:00:00.123Z",
    "updatedAt": "2030-01-23T23:00:00.123Z",
    "status": "VALID",
    "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
    "barcode": "wbf7tkmy",
    "company": "vivenu GmbH",
    "email": "string",
    "name": "Some fancy Name",
    "firstname": "string",
    "lastname": "Robot",
    "street": "Speditionsstr",
    "line2": "string",
    "city": "Düsseldorf",
    "postal": "40221",
    "state": "string",
    "country": "DE",
    "rootEventId": "507f191e810c19729de860ea",
    "transactionId": "507f191e810c19729de860ea",
    "posId": "507f191e810c19729de860ea",
    "underShopId": "507f191e810c19729de860ea",
    "categoryRef": "string",
    "categoryName": "string",
    "slotId": "507f191e810c19729de860ea",
    "slotStartTime": "string",
    "cartItemId": "507f191e810c19729de860ea",
    "triggeredBy": [
      "string"
    ],
    "currency": "EUR",
    "regularPrice": 10.5,
    "realPrice": 10.5,
    "completed": true,
    "expiresAt": "2030-01-23T23:00:00.123Z",
    "seat": "string",
    "seatingInfo": {
      "_type": 6,
      "statusId": "507f191e810c19729de860ea",
      "_id": "507f191e810c19729de860ea",
      "categoryId": "507f191e810c19729de860ea",
      "name": "Some fancy Name",
      "seatType": "handicapped",
      "sectionName": "string",
      "groupName": "string",
      "rowName": "string",
      "seatName": "string",
      "gate": "string"
    },
    "type": "SINGLE",
    "origin": "yourticket",
    "extraFields": {},
    "batch": "string",
    "batchCounter": 10.5,
    "deliveryType": "HARD",
    "readyForDelivery": true,
    "customMessage": "string",
    "priceCategoryId": "507f191e810c19729de860ea",
    "entryPermissions": [
      []
    ],
    "customerId": "507f191e810c19729de860ea",
    "history": [
      []
    ],
    "personalized": true,
    "excludedEventIds": [
      "string"
    ],
    "originTicketId": "507f191e810c19729de860ea",
    "fulfillmentTypeId": "507f191e810c19729de860ea",
    "packageInfo": {
      "packageId": "507f191e810c19729de860ea",
      "packageConfigId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    },
    "__v": 1,
    "_locks": [
      {
        "by": "string",
        "at": "2030-01-23T23:00:00.123Z",
        "eventId": "507f191e810c19729de860ea",
        "type": "resell"
      }
    ],
    "addOns": [
      {
        "productId": "507f191e810c19729de860ea",
        "productVariantId": "507f191e810c19729de860ea",
        "name": "Some fancy Name"
      }
    ],
    "capabilities": [
      {
        "type": "self_service_return",
        "settings": {
          "phases": [
            {
              "condition": {
                "unit": "hours",
                "offset": 1,
                "target": "string"
              },
              "refundPercentage": 10.5
            }
          ],
          "returnRelatedItems": true
        }
      }
    ],
    "personalizations": [
      []
    ]
  }
]

GET/api/tickets/:id

Get a Ticket

Get a Ticket

Request

GET
/api/tickets/:id
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

PUT/api/tickets/:id

Update a Ticket

Update a Ticket

Payload

Optional attributes

  • Name
    barcode
    Type
    string
    Description

    Ticket barcode

  • Name
    extraFields
    Type
    object
    Description
  • Name
    meta
    Type
    object
    Description

Request

PUT
/api/tickets/:id
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea', {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "barcode": "wbf7tkmy",
    "extraFields": {},
    "meta": {}
  }),
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/:id/validate

Validate Ticket

Validate Ticket

Request

POST
/api/tickets/:id/validate
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/validate', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/:id/detailsrequired

Require Details

Require Details

Request

POST
/api/tickets/:id/detailsrequired
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/detailsrequired', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POSTPUBLIC/api/tickets/:id/invalidate

Invalidate Ticket

Invalidate Ticket

Query parameters

Optional query parameters

  • Name
    secret
    Type
    string
    Description

    The secret of the ticket if you use the endpoint without authentication

Request

POST
/api/tickets/:id/invalidate
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/invalidate?secret=4b5fb736-45fd-4895-b497-124a2360c7e6', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/:id/reissue

Reissue Ticket

Reissue Ticket

Request

POST
/api/tickets/:id/reissue
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/reissue', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/batch/:id/invalidate

Invalidate Tickets of a Batch

Invalidate Tickets of a Batch

Request

POST
/api/tickets/batch/:id/invalidate
const response = await fetch('https://vivenu.com/api/tickets/batch/507f191e810c19729de860ea/invalidate', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (201)

[
  {
    "_id": "507f191e810c19729de860ea",
    "sellerId": "507f191e810c19729de860ea",
    "eventId": "507f191e810c19729de860ea",
    "ticketTypeId": "507f191e810c19729de860ea",
    "ticketName": "string",
    "createdAt": "2030-01-23T23:00:00.123Z",
    "updatedAt": "2030-01-23T23:00:00.123Z",
    "status": "VALID",
    "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
    "barcode": "wbf7tkmy",
    "company": "vivenu GmbH",
    "email": "string",
    "name": "Some fancy Name",
    "firstname": "string",
    "lastname": "Robot",
    "street": "Speditionsstr",
    "line2": "string",
    "city": "Düsseldorf",
    "postal": "40221",
    "state": "string",
    "country": "DE",
    "rootEventId": "507f191e810c19729de860ea",
    "transactionId": "507f191e810c19729de860ea",
    "posId": "507f191e810c19729de860ea",
    "underShopId": "507f191e810c19729de860ea",
    "categoryRef": "string",
    "categoryName": "string",
    "slotId": "507f191e810c19729de860ea",
    "slotStartTime": "string",
    "cartItemId": "507f191e810c19729de860ea",
    "triggeredBy": [
      "string"
    ],
    "currency": "EUR",
    "regularPrice": 10.5,
    "realPrice": 10.5,
    "completed": true,
    "expiresAt": "2030-01-23T23:00:00.123Z",
    "seat": "string",
    "seatingInfo": {
      "_type": 6,
      "statusId": "507f191e810c19729de860ea",
      "_id": "507f191e810c19729de860ea",
      "categoryId": "507f191e810c19729de860ea",
      "name": "Some fancy Name",
      "seatType": "handicapped",
      "sectionName": "string",
      "groupName": "string",
      "rowName": "string",
      "seatName": "string",
      "gate": "string"
    },
    "type": "SINGLE",
    "origin": "yourticket",
    "extraFields": {},
    "batch": "string",
    "batchCounter": 10.5,
    "deliveryType": "HARD",
    "readyForDelivery": true,
    "customMessage": "string",
    "priceCategoryId": "507f191e810c19729de860ea",
    "entryPermissions": [
      []
    ],
    "customerId": "507f191e810c19729de860ea",
    "history": [
      []
    ],
    "personalized": true,
    "excludedEventIds": [
      "string"
    ],
    "originTicketId": "507f191e810c19729de860ea",
    "fulfillmentTypeId": "507f191e810c19729de860ea",
    "packageInfo": {
      "packageId": "507f191e810c19729de860ea",
      "packageConfigId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    },
    "__v": 1,
    "_locks": [
      {
        "by": "string",
        "at": "2030-01-23T23:00:00.123Z",
        "eventId": "507f191e810c19729de860ea",
        "type": "resell"
      }
    ],
    "addOns": [
      {
        "productId": "507f191e810c19729de860ea",
        "productVariantId": "507f191e810c19729de860ea",
        "name": "Some fancy Name"
      }
    ],
    "capabilities": [
      {
        "type": "self_service_return",
        "settings": {
          "phases": [
            {
              "condition": {
                "unit": "hours",
                "offset": 1,
                "target": "string"
              },
              "refundPercentage": 10.5
            }
          ],
          "returnRelatedItems": true
        }
      }
    ],
    "personalizations": [
      []
    ]
  }
]

POST/api/tickets/:id/seat

Change Ticket's seat

Change Ticket's seat

Payload

Required attributes

  • Name
    seatingReservationToken
    Type
    string
    Description

Optional attributes

  • Name
    seatingInfo
    Type
    object
    Description
  • Name
    sendMail
    Type
    boolean
    Description
  • Name
    freeSeat
    Type
    boolean
    Description

Request

POST
/api/tickets/:id/seat
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/seat', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "seatingReservationToken": "string",
    "seatingInfo": {},
    "sendMail": true,
    "freeSeat": true
  }),
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/:id/preparedelivery

Prepare Ticket for delivery

Prepare Ticket for delivery

Request

POST
/api/tickets/:id/preparedelivery
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/preparedelivery', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

POST/api/tickets/:id/mail

Send Ticket per mail

Send Ticket per mail

Payload

Required attributes

  • Name
    email
    Type
    string email
    Description

Request

POST
/api/tickets/:id/mail
const response = await fetch('https://vivenu.com/api/tickets/507f191e810c19729de860ea/mail', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "email": "random@mail.com"
  }),
})

const data = await response.json()

POST/api/tickets/batch/:id/mail

Send batch tickets per mail

Send batch tickets per mail

Payload

Required attributes

  • Name
    email
    Type
    string email
    Description

Request

POST
/api/tickets/batch/:id/mail
const response = await fetch('https://vivenu.com/api/tickets/batch/507f191e810c19729de860ea/mail', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "email": "random@mail.com"
  }),
})

const data = await response.json()

POSTPUBLIC/api/tickets/personalize/:id/:secret

Personalize a Ticket

Personalize a Ticket

Payload

Optional attributes

  • Name
    name
    Type
    string
    Description

    The name on the ticket.

  • Name
    firstname
    Type
    string
    Description

    The first name on the ticket.

  • Name
    lastname
    Type
    string
    Description

    The last name on the ticket.

  • Name
    extraFields
    Type
    object
    Description

    Key-value pairs of extra fields for the ticket.

Request

POST
/api/tickets/personalize/:id/:secret
const response = await fetch('https://vivenu.com/api/tickets/personalize/507f191e810c19729de860ea/4b5fb736-45fd-4895-b497-124a2360c7e6', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "name": "Some fancy Name",
    "firstname": "string",
    "lastname": "Robot",
    "extraFields": {}
  }),
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "sellerId": "507f191e810c19729de860ea",
  "eventId": "507f191e810c19729de860ea",
  "ticketTypeId": "507f191e810c19729de860ea",
  "ticketName": "string",
  "createdAt": "2030-01-23T23:00:00.123Z",
  "updatedAt": "2030-01-23T23:00:00.123Z",
  "status": "VALID",
  "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
  "barcode": "wbf7tkmy",
  "company": "vivenu GmbH",
  "email": "string",
  "name": "Some fancy Name",
  "firstname": "string",
  "lastname": "Robot",
  "street": "Speditionsstr",
  "line2": "string",
  "city": "Düsseldorf",
  "postal": "40221",
  "state": "string",
  "country": "DE",
  "rootEventId": "507f191e810c19729de860ea",
  "transactionId": "507f191e810c19729de860ea",
  "posId": "507f191e810c19729de860ea",
  "underShopId": "507f191e810c19729de860ea",
  "categoryRef": "string",
  "categoryName": "string",
  "slotId": "507f191e810c19729de860ea",
  "slotStartTime": "string",
  "cartItemId": "507f191e810c19729de860ea",
  "triggeredBy": [
    "string"
  ],
  "currency": "EUR",
  "regularPrice": 10.5,
  "realPrice": 10.5,
  "completed": true,
  "expiresAt": "2030-01-23T23:00:00.123Z",
  "seat": "string",
  "seatingInfo": {
    "_type": 6,
    "statusId": "507f191e810c19729de860ea",
    "_id": "507f191e810c19729de860ea",
    "categoryId": "507f191e810c19729de860ea",
    "name": "Some fancy Name",
    "seatType": "handicapped",
    "sectionName": "string",
    "groupName": "string",
    "rowName": "string",
    "seatName": "string",
    "gate": "string"
  },
  "type": "SINGLE",
  "origin": "yourticket",
  "extraFields": {},
  "batch": "string",
  "batchCounter": 10.5,
  "deliveryType": "HARD",
  "readyForDelivery": true,
  "customMessage": "string",
  "priceCategoryId": "507f191e810c19729de860ea",
  "entryPermissions": [
    []
  ],
  "customerId": "507f191e810c19729de860ea",
  "history": [
    []
  ],
  "personalized": true,
  "excludedEventIds": [
    "string"
  ],
  "originTicketId": "507f191e810c19729de860ea",
  "fulfillmentTypeId": "507f191e810c19729de860ea",
  "packageInfo": {
    "packageId": "507f191e810c19729de860ea",
    "packageConfigId": "507f191e810c19729de860ea",
    "name": "Some fancy Name"
  },
  "__v": 1,
  "_locks": [
    {
      "by": "string",
      "at": "2030-01-23T23:00:00.123Z",
      "eventId": "507f191e810c19729de860ea",
      "type": "resell"
    }
  ],
  "addOns": [
    {
      "productId": "507f191e810c19729de860ea",
      "productVariantId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    }
  ],
  "capabilities": [
    {
      "type": "self_service_return",
      "settings": {
        "phases": [
          {
            "condition": {
              "unit": "hours",
              "offset": 1,
              "target": "string"
            },
            "refundPercentage": 10.5
          }
        ],
        "returnRelatedItems": true
      }
    }
  ],
  "personalizations": [
    []
  ]
}

GET/api/tickets

Get all Tickets

Get all Tickets

Query parameters

Optional query parameters

  • Name
    name
    Type
    string
    Description

    Filter tickets by ticket holder name

  • Name
    barcode
    Type
    string
    Description

    Filter tickets by barcode

  • Name
    start
    Type
    string date-time
    Description

    An ISO timestamp to filter tickets created on or after this date

  • Name
    end
    Type
    string date-time
    Description

    An ISO timestamp to filter tickets created on or before this date

  • Name
    status
    Type
    string
    Description

    Filter by a comma(,) separated list of statuses

  • Name
    type
    Type
    enum(SINGLE, MULTI)
    Description

    Filter tickets by type

  • Name
    deliveryType
    Type
    string
    Description

    Filter by a comma(,) separated list of deliverTypes

  • Name
    event
    Type
    string
    Description

    Filter by a comma(,) separated list of event IDs

  • Name
    statusId
    Type
    string
    Description

    Filter tickets with a seat by status ID

  • Name
    gaName
    Type
    string
    Description

    Filter tickets with a seat by general admission name

  • Name
    sectionName
    Type
    string
    Description

    Filter tickets with a seat by section name

  • Name
    groupName
    Type
    string
    Description

    Filter tickets with a seat by group name

  • Name
    rowName
    Type
    string
    Description

    Filter tickets with a seat by row name

  • Name
    seatName
    Type
    string
    Description

    Filter tickets by seat name

  • Name
    customerId
    Type
    string
    Description

    Filter tickets by customer ID

  • Name
    purchaseIntentId
    Type
    string
    Description

    Filter tickets by purchase intent ID

  • Name
    checkoutId
    Type
    string
    Description

    Filter tickets by the ID of the checkout

  • Name
    subscriptionId
    Type
    string
    Description

    Filter tickets by the ID of the subscription

  • Name
    updatedAt
    Type
    object
    Description

    Range of dates indicating when the ticket was last updated in ISO format.

    Optional nested attributes (6)
    • Name
      $gt
      Type
      string date-time
      Description

      value is greater than

    • Name
      $gte
      Type
      string date-time
      Description

      value is greater than or equal

    • Name
      $lt
      Type
      string date-time
      Description

      value is less than

    • Name
      $lte
      Type
      string date-time
      Description

      value is less than or equal

    • Name
      $eq
      Type
      string date-time
      Description

      value is equal

    • Name
      $ne
      Type
      string date-time
      Description

      value is not equal

  • Name
    batch
    Type
    string
    Description

    Filter tickets by batch

  • Name
    batchCounter
    Type
    object
    Description

    Filter tickets by batch counter

    Optional nested attributes (6)
    • Name
      $gt
      Type
      number float
      Description

      value is greater than

    • Name
      $gte
      Type
      number float
      Description

      value is greater than or equal

    • Name
      $lt
      Type
      number float
      Description

      value is less than

    • Name
      $lte
      Type
      number float
      Description

      value is less than or equal

    • Name
      $eq
      Type
      number float
      Description

      value is equal

    • Name
      $ne
      Type
      number float
      Description

      value is not equal

  • Name
    packageId
    Type
    string
    Description

    Filter tickets by package ID

  • Name
    top
    Type
    integer
    Description

    A limit on the number of objects to be returned. Can range between 1 and 1000.

  • Name
    skip
    Type
    integer
    Description

    The number of objects to skip for the requested result

Request

GET
/api/tickets
const response = await fetch('https://vivenu.com/api/tickets?name=Some+fancy+Name&barcode=wbf7tkmy&start=value&end=value&status=value&type=SINGLE&deliveryType=value&event=value&statusId=507f191e810c19729de860ea&gaName=value&sectionName=value&groupName=value&rowName=value&seatName=value&customerId=507f191e810c19729de860ea&purchaseIntentId=507f191e810c19729de860ea&checkoutId=507f191e810c19729de860ea&subscriptionId=507f191e810c19729de860ea&updatedAt=value&batch=value&batchCounter=value&packageId=507f191e810c19729de860ea&top=1&skip=1', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "rows": [
    {
      "_id": "507f191e810c19729de860ea",
      "sellerId": "507f191e810c19729de860ea",
      "eventId": "507f191e810c19729de860ea",
      "ticketTypeId": "507f191e810c19729de860ea",
      "ticketName": "string",
      "createdAt": "2030-01-23T23:00:00.123Z",
      "updatedAt": "2030-01-23T23:00:00.123Z",
      "status": "VALID",
      "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
      "barcode": "wbf7tkmy",
      "company": "vivenu GmbH",
      "email": "string",
      "name": "Some fancy Name",
      "firstname": "string",
      "lastname": "Robot",
      "street": "Speditionsstr",
      "line2": "string",
      "city": "Düsseldorf",
      "postal": "40221",
      "state": "string",
      "country": "DE",
      "rootEventId": "507f191e810c19729de860ea",
      "transactionId": "507f191e810c19729de860ea",
      "posId": "507f191e810c19729de860ea",
      "underShopId": "507f191e810c19729de860ea",
      "categoryRef": "string",
      "categoryName": "string",
      "slotId": "507f191e810c19729de860ea",
      "slotStartTime": "string",
      "cartItemId": "507f191e810c19729de860ea",
      "triggeredBy": [
        "string"
      ],
      "currency": "EUR",
      "regularPrice": 10.5,
      "realPrice": 10.5,
      "completed": true,
      "expiresAt": "2030-01-23T23:00:00.123Z",
      "seat": "string",
      "seatingInfo": {
        "_type": 6,
        "statusId": "507f191e810c19729de860ea",
        "_id": "507f191e810c19729de860ea",
        "categoryId": "507f191e810c19729de860ea",
        "name": "Some fancy Name",
        "seatType": "handicapped",
        "sectionName": "string",
        "groupName": "string",
        "rowName": "string",
        "seatName": "string",
        "gate": "string"
      },
      "type": "SINGLE",
      "origin": "yourticket",
      "extraFields": {},
      "batch": "string",
      "batchCounter": 10.5,
      "deliveryType": "HARD",
      "readyForDelivery": true,
      "customMessage": "string",
      "priceCategoryId": "507f191e810c19729de860ea",
      "entryPermissions": [
        []
      ],
      "customerId": "507f191e810c19729de860ea",
      "history": [
        []
      ],
      "personalized": true,
      "excludedEventIds": [
        "string"
      ],
      "originTicketId": "507f191e810c19729de860ea",
      "fulfillmentTypeId": "507f191e810c19729de860ea",
      "packageInfo": {
        "packageId": "507f191e810c19729de860ea",
        "packageConfigId": "507f191e810c19729de860ea",
        "name": "Some fancy Name"
      },
      "__v": 1,
      "_locks": [
        {
          "by": "string",
          "at": "2030-01-23T23:00:00.123Z",
          "eventId": "507f191e810c19729de860ea",
          "type": "resell"
        }
      ],
      "addOns": [
        {
          "productId": "507f191e810c19729de860ea",
          "productVariantId": "507f191e810c19729de860ea",
          "name": "Some fancy Name"
        }
      ],
      "capabilities": [
        {
          "type": "self_service_return",
          "settings": {
            "phases": [
              {
                "condition": {
                  "unit": "hours",
                  "offset": 1,
                  "target": "string"
                },
                "refundPercentage": 10.5
              }
            ],
            "returnRelatedItems": true
          }
        }
      ],
      "personalizations": [
        []
      ]
    }
  ],
  "total": 1
}

GETDEPRECATED/api/tickets/batch/:batchId

Get Tickets of Batch

Get Tickets of Batch

Query parameters

Required query parameters

  • Name
    sellerId
    Type
    string
    Description

Request

GET
/api/tickets/batch/:batchId
const response = await fetch('https://vivenu.com/api/tickets/batch/4b5fb736-45fd-4895-b497-124a2360c7e6?sellerId=507f191e810c19729de860ea', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

[
  {
    "_id": "507f191e810c19729de860ea",
    "sellerId": "507f191e810c19729de860ea",
    "eventId": "507f191e810c19729de860ea",
    "ticketTypeId": "507f191e810c19729de860ea",
    "ticketName": "string",
    "createdAt": "2030-01-23T23:00:00.123Z",
    "updatedAt": "2030-01-23T23:00:00.123Z",
    "status": "VALID",
    "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
    "barcode": "wbf7tkmy",
    "company": "vivenu GmbH",
    "email": "string",
    "name": "Some fancy Name",
    "firstname": "string",
    "lastname": "Robot",
    "street": "Speditionsstr",
    "line2": "string",
    "city": "Düsseldorf",
    "postal": "40221",
    "state": "string",
    "country": "DE",
    "rootEventId": "507f191e810c19729de860ea",
    "transactionId": "507f191e810c19729de860ea",
    "posId": "507f191e810c19729de860ea",
    "underShopId": "507f191e810c19729de860ea",
    "categoryRef": "string",
    "categoryName": "string",
    "slotId": "507f191e810c19729de860ea",
    "slotStartTime": "string",
    "cartItemId": "507f191e810c19729de860ea",
    "triggeredBy": [
      "string"
    ],
    "currency": "EUR",
    "regularPrice": 10.5,
    "realPrice": 10.5,
    "completed": true,
    "expiresAt": "2030-01-23T23:00:00.123Z",
    "seat": "string",
    "seatingInfo": {
      "_type": 6,
      "statusId": "507f191e810c19729de860ea",
      "_id": "507f191e810c19729de860ea",
      "categoryId": "507f191e810c19729de860ea",
      "name": "Some fancy Name",
      "seatType": "handicapped",
      "sectionName": "string",
      "groupName": "string",
      "rowName": "string",
      "seatName": "string",
      "gate": "string"
    },
    "type": "SINGLE",
    "origin": "yourticket",
    "extraFields": {},
    "batch": "string",
    "batchCounter": 10.5,
    "deliveryType": "HARD",
    "readyForDelivery": true,
    "customMessage": "string",
    "priceCategoryId": "507f191e810c19729de860ea",
    "entryPermissions": [
      []
    ],
    "customerId": "507f191e810c19729de860ea",
    "history": [
      []
    ],
    "personalized": true,
    "excludedEventIds": [
      "string"
    ],
    "originTicketId": "507f191e810c19729de860ea",
    "fulfillmentTypeId": "507f191e810c19729de860ea",
    "packageInfo": {
      "packageId": "507f191e810c19729de860ea",
      "packageConfigId": "507f191e810c19729de860ea",
      "name": "Some fancy Name"
    },
    "__v": 1,
    "_locks": [
      {
        "by": "string",
        "at": "2030-01-23T23:00:00.123Z",
        "eventId": "507f191e810c19729de860ea",
        "type": "resell"
      }
    ],
    "addOns": [
      {
        "productId": "507f191e810c19729de860ea",
        "productVariantId": "507f191e810c19729de860ea",
        "name": "Some fancy Name"
      }
    ],
    "capabilities": [
      {
        "type": "self_service_return",
        "settings": {
          "phases": [
            {
              "condition": {
                "unit": "hours",
                "offset": 1,
                "target": "string"
              },
              "refundPercentage": 10.5
            }
          ],
          "returnRelatedItems": true
        }
      }
    ],
    "personalizations": [
      []
    ]
  }
]

Was this page helpful?